What version of excel is required to open the spreadsheet examples?

Hi,

I have downloaded the excel files from Github. However when I try and open them i get the following error:

Excel cannot open the file ‘collab_filter.xslx’ because the file format or file extension is not valid. Verify the file has not been corrupted and that the file extension matches the format of the file.

Is there a particular version of excel I need to open these?

Thanks

Exactly how did you download these files? I just tried and it works here.

(I do think you need a recent version of Excel to try the convolution example. When I tried these with Excel 2011 a while ago, they didn’t work because the function used to implement the convolution was missing.)

1 Like

Thanks for your reply, it was my bad. I was right clicking and “saving as…” as the link went to a .xlsx “https://github.com/fastai/courses/blob/master/deeplearning1/excel/collab_filter.xlsx” but it turns out that is a webpage :man_facepalming:

I’ve cloned and it works fine, sorry to waste your time. Thanks for your help.

Fraser